API

Instagram API

The AI-powered Instagram provides 360° Global Media Data & Intelligence on Instagram creators, brand marketers, influencer agencies, and visual content teams.

APIリファレンス バージョン: 1.0.0 2 エンドポイント 認証
Instagram Monitor

ベース URL

https://pressmonitor.com/api

認証

すべてのリクエストには x-api-key と x-subscription-id ヘッダーが必要です。x-api-key はアカウントを認証し、x-subscription-id は購読サービスを選択します。

x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID
GET /instagram_user

Instagram Utilisateur

パラメータ

名前 タイプ 場所 必須 説明
username string query はい Username

コード例

curl -X GET \
  "https://pressmonitor.com/api/instagram_user?username=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

レスポンス

200 Success
GET /instagram_media

Instagram Médias

パラメータ

名前 タイプ 場所 必須 説明
username string query はい Username
limit integer query いいえ Number of results

コード例

curl -X GET \
  "https://pressmonitor.com/api/instagram_media?username=VALUE&limit=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

レスポンス

200 Success